Package org.apache.ignite.internal.processors.cache.persistence.defragmentation.maintenance

## Class DefragmentationParameters

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.defragmentation.maintenance.DefragmentationParameters

    public class DefragmentationParameters
    extends Object

Maintenance task for defragmentation.

### Field Summary

Fields
`static String` `SEPARATOR`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`List<String>` `cacheNames()`
`static DefragmentationParameters` `fromStore​(MaintenanceTask rawTask)`
`static MaintenanceTask` `toStore​(List<String> cacheNames)` Convert parameter to maintenance storage.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SEPARATOR

    public static final String SEPARATOR

See Also:
  Constant Field Values

### Method Detail

#### toStore

    public static MaintenanceTask toStore​(List<String> cacheNames)

Convert parameter to maintenance storage.

Parameters:
  `cacheNames` - Names of caches for defragmentations.
Returns:
  Maintenance task.

#### fromStore

    public static DefragmentationParameters fromStore​(MaintenanceTask rawTask)

Parameters:
  `rawTask` - Task from maintenance storage.
Returns:
  Defragmentation parameters.

#### cacheNames

    public List<String> cacheNames()

Returns:
  Cache names.